---
title: ResizeObserver.disconnect()
slug: Web/API/ResizeObserver/disconnect
tags:
  - API
  - Method
  - Reference
  - Resize Observer API
  - ResizeObserver
  - disconnect()
  - observers
---
<div>{{APIRef("Resize Observer API")}}</div>

<p class="summary">The <strong><code>disconnect()</code></strong> method of the {{domxref("ResizeObserver")}} interface unobserves all observed {{domxref('Element')}} or {{domxref('SVGElement')}} targets.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>resizeObserver</var>.disconnect();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>Void.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">btn.addEventListener('click', () =&gt; {
  resizeObserver.disconnect();
})</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Resize Observer','#dom-resizeobserver-disconnect','disconnect()')}}</td>
   <td>{{Spec2('Resize Observer')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ResizeObserver.disconnect")}}</p>
